<?php
/**
 *
 * this is a part of SiriusGallery 
 *
 * Sliderblock with EasyRotate 
 *
 * $Version 1.0 $
 * $Author: Olaf Herfurth / TerraProject  http://www.tecmu.de $
 * $Date: 2012 $
 *
 */


defined('mxMainFileLoaded') or die('access denied');


// Module name
$modulename="SiriusGallery";

// Usernamen anzeigen
$viewusername=false;

// Link auf Detailseite  true/false
$linkdetail=true;

// link zur Galleribersicht anzeigen  true/false
$linkgallery=true;

// Gesamtanzahl der Bilder im Block
$limit=10;

// Anzahl Thumbs sichtbar
$numTiles=5;

// Breit des Blockes
$width=470;

// Hhe hes Blockes
$height=200;

// Anzahl zu scrollender Bilder
$scrollSize=1;

// Verzgerung in ms
$autoplayDelay=5000;

// style
$style=4;

// Backgroundcolor ... none = kein Background, ansonsten Farbwert angeben, Bsp: #124567
$backgroundcolor="none";

// Liste der Alben, aus denen keine Bilder angezeigt werden sollen. Die ID's durch Komma trennen.
$cathidden="";

/* Ast der Sortierung
	1= Neueste Bilder - sortiert Datum abwrts
	2= neueste Bilder - sortiert zufall
	3= Zufallsbilder aus allen
*/
$sort=3;
//----------------------------------------------------------------------------------

include_once (PMX_MODULES_PATH .$modulename.DS."core".DS."tabledef.php");
include_once (PMX_MODULES_PATH .$modulename.DS."inc".DS."functions.php");
include_once (PMX_MODULES_PATH .$modulename.DS."inc".DS."functions.sirius.php");


$SGCFG=getConfigAll();
mxGetLangfile($modulename);

$content="";

switch ($sort) {
	case 1:
	default:
	$sqlsort=" datetime desc";
	break;
	case 2:
	$sqlsort=" datetime, rand()";
	break;
	case 3:
	$sqlsort=" rand() ";
	break;
}
$subids=sg_getSubcatView(0);
$result=sql_query("select pid,aid,title,userid,pic_url,description from ".SG_TABLE_PICTURE." where  aid in(".$subids.") and  published=1 and aid >0 order by ".$sqlsort." limit $limit");


if (sql_num_rows($result)>0) {
	
	$blockfiletitle=""._SG_NEWEST_PICTURES."";
	
	// Rotator
     $content2 =" <div data-ertype=\"content\" style=\"display:none;\">";
     $content2 .=" <ul data-erlabel=\"Main Category\">";
		while (list($pid,$aid,$title,$userid,$pic_url,$description)=sql_fetch_row($result)) {
			$username=mxGetUserDataFromUid($userid);
            if ($SGCFG['FRONT_BLOCKS_TITLE']==0) $title="";
			if ($linkdetail) {
				$link ="modules.php?name=$modulename&amp;act=detail&amp;pic=$pid";
			} else {
				$link ="modules.php?name=$modulename&amp;cat=$aid";
			}
			if ($SGCFG["PATH_HIDDEN"]==1) {
				$image ="modules.php?name=$modulename&amp;act=getimage&amp;pic=$pid&amp;size=1";	
			} else {
				$image =$pic_url;	
			}

			if ($viewusername and $username['uname']!="") $description .="<br /> [".$username['uname']."]";
			$content2 .="<li> 
						<a class=\"mainLink\" href=\"$link\">
						<img class=\"main\" src=\"$image\"  alt=\"\" /> 
						</a>
						<img class=\"thumb\" src=\"$image\" title=\"$title\" alt=\"$title\"/> 
						<span class=\"title content\"><b>$title</b></span>
						<span class=\"desc content\">".substr($description,0,100)."</span>
						</li>";
		}
     $content2 .=" </ul>";
     $content2 .=" </div>";
	
	$content .="<script type=\"text/javascript\" src=\"http://c520866.r66.cf2.rackcdn.com/1/js/easy_rotator.min.js\" ></script>";
	$content .="<div class=\"dwuserEasyRotator\" style=\"width: ".$width."px; height: ".$height."px; position:relative; text-align: left; margin:auto; border: 5px outline;\" data-erconfig=\"{autoplayDelay: ".$autoplayDelay.", autoplayEnabled:true, lpp:'102-105-108-101-58-47-47-47-67-58-47-85-115-101-114-115-47-79-108-97-102-47-68-111-99-117-109-101-110-116-115-47-69-97-115-121-82-111-116-97-116-111-114-80-114-101-118-105-101-119-47-112-114-101-118-105-101-119-95-115-119-102-115-47'}\" data-ername=\"sgRotatorNewestPictures\" >";
	
	$content .= $content2;
	
switch ($style) {
case 1:	

$content .="  <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">
    <div class=\"erimgMain\" style=\"position: absolute; left:0;right:0;top:0;bottom:0;\" data-erconfig=\"{ numTiles:".$numTiles.", scrollSize: ".$scrollSize.",scaleMode:'scaleUpAndDown', imgType:'main', treatAsThumbs:true, addMainSlideLinks:false, __loopNextButton:false, __arrowButtonMode:'rollover', alwaysPreviousButton:true}\">
      <div class=\"erimgMain_slides\" style=\"position: absolute; left:40px; top:0; bottom:0; right:40px;\">
        <div class=\"erimgMain_slide content\" >
          <div class=\"erimgMain_img\" style=\"position: absolute; left: 10px; right: 10px; top: 30px; bottom: 56px;\"></div>
          <p class=\"erimgMain_title\" style=\"position: absolute; left: 10px; right: 10px; top: 8px; text-align: center; padding: 0; margin: 0; font-size: 11px; font-family: Arial, _sans;\"></p>
          <p class=\"erimgMain_desc\" style=\"position: absolute; left: 10px; right: 10px; bottom: 1px; height: 46px; overflow: hidden; text-align: center; padding: 0; margin: 0; font-size: 11px; font-family: Arial, _sans;\"></p>
        </div>
      </div>
      <div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 10px; top: 50%; margin-top: -15px;\" data-erconfig=\"{image:'circleSmall', image2:'circleSmall'}\"></div>
      <div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 10px; top: 50%; margin-top: -15px;\"></div>
    </div>

	";
break;	
case 2:
	$content .="      <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">
				<div style=\"position: absolute; left:0;width:100px;bottom:0;height:20px; background:url(http://easyrotator.s3.amazonaws.com/1/i/rotator/bottom_shadow/l_s1.png) no-repeat; border-bottom: 1px solid #BBB;\"></div>
				<div style=\"position: absolute; left:100px;right:100px;bottom:0;height:20px; background:url(http://easyrotator.s3.amazonaws.com/1/i/rotator/bottom_shadow/m_s1.png) repeat-x; border-bottom: 1px solid #BBB;\"></div>
				<div style=\"position: absolute; right:0;width:100px;bottom:0;height:20px; background:url(http://easyrotator.s3.amazonaws.com/1/i/rotator/bottom_shadow/r_s1.png) no-repeat; border-bottom: 1px solid #BBB;\"></div>
				<div class=\"erimgMain\" style=\"position: absolute; left:0;right:0;top:0;bottom:0;\" data-erconfig=\"{numTiles:".$numTiles.", scrollSize: ".$scrollSize.", scaleMode:'fillArea', imgType:'main', treatAsThumbs:true, addMainSlideLinks:false, __loopNextButton:false, __arrowButtonMode:'rollover', alwaysPreviousButton:true}\">
				  <div class=\"erimgMain_slides\" style=\"position: absolute; left:40px; top:0; bottom:0; right:40px;\">
					<div class=\"erimgMain_slide  content\" style=\"color: #FFF;\">
					  <div class=\"erimgMain_img\" style=\"position: absolute; left: 10px; right: 10px; top:0; bottom:0;\"></div>
					</div>
				  </div>
				  <div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 0; top: 50%; margin-top: -35px;\" data-erconfig=\"{image:'arrowMin', image2:'arrowMin'}\"></div>
				  <div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 0; top: 50%; margin-top: -35px;\" data-erconfig=\"{image:'arrowMin', image2:'arrowMin'}\"></div>
				</div>
		";
break;
case 3:
	$content .="          <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">
				<div class=\"erimgMain\" style=\"position: absolute; left:0;right:0;top:0;bottom:0;\" data-erconfig=\"{___numTiles:".$numTiles.",scrollSize: ".$scrollSize.", scaleMode:'scaleUpAndDown', imgType:'main', __loopNextButton:false, __arrowButtonMode:'rollover'}\">
				  <div class=\"erimgMain_slides erFixCSS3\" style=\"position: absolute; left:50px; top:10px; bottom:10px; right:50px; background:".$backgroundcolor.";\" style_real=\"border-radius:15px;\">
					<div class=\"erimgMain_slide  content\">
					  <div class=\"erimgMain_img\" style=\"position: absolute; right: 20px; width: 200px; top: 60px; bottom: 20px;\"></div>
					  <p class=\"erimgMain_title\" style=\"position:absolute;left:20px;right:20px;top:18px; padding: 0; margin: 0 0 13px 0; font-weight: bold; font-size: 24px;  font-family:Georgia,'Times New Roman',Times,_serif;\"></p>
					  <p class=\"erimgMain_desc\" style=\"position:absolute;left:20px;top:60px;right:240px;  padding: 0; margin: 0; font: 14px/19px Georgia,'Times New Roman',Times,_serif;\"></p>
					</div>
				  </div>
				  <div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 10px; top: 50%; margin-top: -15px;\" data-erconfig=\"{image:'circleSmall', image2:'circleSmall'}\"></div>
				  <div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 10px; top: 50%; margin-top: -15px;\"></div>
				</div>
	";
	break;
	case 4:
	$content .="      <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">			<div class=\"erimgMain\" style=\"position: absolute; left:0;right:0;top:0;bottom:0;\" data-erConfig=\"{___numTiles:".$numTiles.",scrollSize: ".$scrollSize.", scaleMode:'fillArea', duration:800, imgType:'main', alwaysPreviousButton:true, __loopNextButton:false, __arrowButtonMode:'rollover'}\" >
					<div class=\"erimgMain_slides\" style=\"position: absolute; left:0; top:0; bottom:0; right:0;\" >
						<div class=\"erimgMain_slide content\">
							<div class=\"erimgMain_img\" style=\"position: absolute; left: 0; right: 0; top:0;bottom:0;\"></div>
							<div class=\"\" style=\"position: absolute; left:0; right:0; bottom: 20px; padding: 7px 200px 7px 20px; background:".$backgroundcolor."; background:rgba(0,0,0,0.9);  font-family: Georgia, 'Times New Roman', Times, _serif; text-align: left;\">
								<p class=\"erimgMain_title\" style=\"padding: 0; margin: 0 0 3px 0; font-weight: bold; font-size: 22px;\"></p>
								<p class=\"erimgMain_desc\" style=\"padding: 0; margin: 0; font: 12px/16px Arial,_sans;\"></p>
							</div>
						</div>
					</div>
					<div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 10px; top: 50%; margin-top: -15px;\" data-erConfig=\"{image:'circleSmall', image2:'circleSmall'}\"></div>
					<div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 10px; top: 50%; margin-top: -15px;\"></div> 
				</div>
				<div class=\"erdots\" style=\"overflow: hidden; margin: 0; font-size: 10px; font-family: 'Lucida Grande', 'Lucida Sans', Arial, _sans; color: #FFF; position: absolute; right:6px; bottom:30px; width:200px;\" data-erConfig=\"{showText:false}\" align=\"center\">
					<div class=\"erdots_wrap\" style=\"wasbackground-color: #CFC; float: right;\" align=\"center\"> <!-- modify the float on this element to make left/right/none=center aligned. -->
						<span class=\"erdots_btn_selected\" style=\"padding-left: 0; width: 21px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 2px 0 0; cursor: default; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_wite_65.png) top left no-repeat;\">
							&nbsp;
						</span>
						<span class=\"erdots_btn_normal\" style=\"padding-left: 0; width: 21px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 2px 0 0; cursor: pointer; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_wite_35.png) top left no-repeat;\">
							&nbsp;
						</span>
						<span class=\"erdots_btn_hover\" style=\"padding-left: 0; width: 21px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 2px 0 0; cursor: pointer; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_wite_65.png) top left no-repeat;\">
							&nbsp;
						</span>
					</div>
				 </div>
		";
	break;
	case 5:
	$content .="
		  <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">
			<div class=\"erimgMain\" style=\"position: absolute; left:0;right:0;top:0;bottom:30px;\" data-erconfig=\"{___numTiles:".$numTiles.", scaleMode:'fillArea', imgType:'main', alwaysPreviousButton:true, __loopNextButton:false, __arrowButtonMode:'rollover'}\">
			  <div class=\"erimgMain_slides erFixCSS3\" style=\"position: absolute; left:30px; top:0; bottom:0; right:30px; background:".$backgroundcolor.";\" style_real=\"border-radius:15px;\">
				<div class=\"erimgMain_slide\">
				  <div class=\"erimgMain_img\" style=\"position: absolute; left:0;right:0;top:0;bottom:0;\"></div>
				</div>
			  </div>
			  <div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 0; top: 50%; margin-top: -30px;\" data-erconfig=\"{image:'moonMed', image2:'moonMed'}\"></div>
			  <div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 0; top: 50%; margin-top: -30px;\" data-erconfig=\"{image:'moonMed', image2:'moonMed'}\"></div>
			</div>
			<div class=\"erdots\" style=\"overflow: hidden; margin: 0; font-size: 10px; font-family: 'Lucida Grande', 'Lucida Sans', Arial, _sans; color: #FFF; position: absolute; left:0; right:0; bottom:5px;\" data-erconfig=\"{showText:false}\" align=\"center\">
			  <div class=\"erdots_wrap\" style=\"wasbackground-color: #CFC; float: none;\" align=\"center\">
				<!-- modify the float on this element to make left/right/none=center aligned. -->
				<span class=\"erdots_btn_selected\" style=\"padding-left: 0; width: 21px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 2px 0 0; cursor: default; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_black_65.png) top left no-repeat;\"> &nbsp; </span> <span class=\"erdots_btn_normal\" style=\"padding-left: 0; width: 21px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 2px 0 0; cursor: pointer; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_black_35.png) top left no-repeat;\"> &nbsp; </span> <span class=\"erdots_btn_hover\" style=\"padding-left: 0; width: 21px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 2px 0 0; cursor: pointer; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_black_65.png) top left no-repeat;\"> &nbsp; </span> </div>
			</div>
	";
	break;
	case 6:
	$content .="
      <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">			
	  <div class=\"erimgMain\" style=\"position: absolute; left:0;right:0;top:0;bottom:0;\"
	  data-erConfig=\"{numTiles:".$numTiles.", scrollSize:".$scrollSize.", scaleMode:'scaleUpAndDown', imgType:'main', treatAsThumbs:true, addMainSlideLinks:false, __loopNextButton:true, __arrowButtonMode:'rollover', alwaysPreviousButton:true}\"
		style_erinjection=\"THIS a, THIS a:hover, THIS a:visited { color: #2B4870; } THIS a { text-decoration: none; } THIS a:hover { text-decoration:underline; }\">
				<div class=\"erimgMain_slides\" style=\"position: absolute; left:10px; top:38px; bottom:10px; right:10px; background:".$backgroundcolor."; border-top: 1px solid #CCC; border-bottom:2px solid #333; border-left: 1px solid #CCC; border-right: 1px solid #CCC;\">
					<div class=\"erimgMain_slide content\" style=\" border-right:1px solid #CCC;\">
						<p class=\"erimgMain_title content\" style=\"font-weight: bold; position: absolute; left: 10px; right: 10px; top: 6px; text-transform:uppercase; color: #333; padding: 4px; margin: 0; font: 10px/13px Arial,_sans;\"></p>
						<div class=\"erimgMain_img\" style=\"position: absolute; left: 10px; right: 10px; top: 30px; bottom: 66px; border: 1px solid #CCC;\"></div>
						<p class=\"erimgMain_desc content\" style=\"position: absolute; left: 10px; right: 10px; bottom: 1px; height: 56px; overflow: hidden;  text-align: left; padding: 0; margin: 0; \"></p>
					</div>
				</div>
				<!-- div style=\"position: absolute; left:14px; top: 12px; font: bold 13px/18px Georgia,'Times New Roman',Times,_serif; color: #333; text-transform:uppercase;\"></div -->
				<div class=\"erimgMain_arrowLeft\" style=\"position:absolute; right: 42px; top: 10px;\" data-erConfig=\"{image:'http://easyrotator.s3.amazonaws.com/1/i/rotator/btns/minimal_rect/left_up.png', image2:'http://easyrotator.s3.amazonaws.com/1/i/rotator/btns/minimal_rect/left_over.png'}\"></div>
				<div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 10px; top: 10px;\" data-erConfig=\"{image:'http://easyrotator.s3.amazonaws.com/1/i/rotator/btns/minimal_rect/right_up.png', image2:'http://easyrotator.s3.amazonaws.com/1/i/rotator/btns/minimal_rect/right_over.png'}\"></div></div>
	
	";
	break;
	case 7:
	$content .="
      <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">			
	  <div class=\"erdots\" style=\"overflow: hidden; margin: 0; position:absolute;right:0;top:9px;width:300px; 
	  font-size: 10px; font-family: 'Lucida Grande', 'Lucida Sans', Arial, _sans; color: #FFF;\" data-erConfig=\"{showText:false}\" align=\"center\">
				<div class=\"erdots_wrap\" style=\"wasbackground-color: #CFC; float: right;\" align=\"center\"> <!-- modify the float on this element to make left/right/none=center aligned. -->
					<span class=\"erdots_btn_selected\" style=\"padding-left: 0; width: 20px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 0 0 5px; cursor: default; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_black_65.png) top left no-repeat;\">
						&nbsp;
					</span>
					<span class=\"erdots_btn_normal\" style=\"padding-left: 0; width: 20px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 0 0 5px; cursor: pointer; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_black_35.png) top left no-repeat;\">
						&nbsp;
					</span>
					<span class=\"erdots_btn_hover\" style=\"padding-left: 0; width: 20px; height: 20px; display: inline-block; text-align: center; vertical-align: middle; line-height: 20px; margin: 0 0 0 5px; cursor: pointer; background: url(http://easyrotator.s3.amazonaws.com/1/i/rotator/dots/export/20_14_black_65.png) top left no-repeat;\">
						&nbsp;
					</span>
				</div>
			</div>

			<div class=\"erimgMain\" style=\"position: absolute; left:0; right:0; top:40px; bottom:0;\" data-erConfig=\"{numTiles:".$numTiles.", scrollSize:".$scrollSize.", scaleMode:'fillArea', imgType:'main', __loopNextButton:false, arrowButtonMode:'rollover'}\">
				<div class=\"erimgMain_slides\" style=\"position: absolute; left:0; top:0; bottom:0; right:0;\">
					<div class=\"erimgMain_slide\">
						<div class=\"erimgMain_img\" style=\"position: absolute; left: 0; right: 0; top: 0; bottom: 0;\"></div>
					</div>
				</div>
				<div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 10px; top: 50%; margin-top: -30px;\" data-erConfig=\"{image:'circleBig', image2:'circleBig'}\"></div>
				<div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 10px; top: 50%; margin-top: -30px;\" data-erConfig=\"{image:'circleBig', image2:'circleBig'}\"></div>
	</div>
	";
	break;
	case 8:
	$content .="
      <div data-ertype=\"layout\" data-ertemplatename=\"NONE\" style=\"\">			
	  <div class=\"erimgMain\" style=\"position: absolute; left:0;right:0;top:0;bottom:100px; background:".$backgroundcolor."\" data-erConfig=\"{___numTiles:".$numTiles.", scrollSize:".$scrollSize.", scaleMode:'scaleUpAndDown', imgType:'main', __loopNextButton:false, arrowButtonMode:'rollover'}\">
				<div class=\"erimgMain_slides\" style=\"position: absolute; left:0px; top:0; bottom:0; right:0px;\">
					<div class=\"erimgMain_slide\">
						<div class=\"erimgMain_img\" style=\"position: absolute; left: 20px; width: 200px; top: 20px; bottom: 20px;\"></div>
						<div class=\"\" style=\"position: absolute; left: 240px; right: 20px; top:20px; bottom: 20px; padding: 0; \">
							<p class=\"erimgMain_title content\" style=\"padding: 0; margin: 0 0 13px 0; font-weight: bold; font-size: 24px;\"></p>
							<p class=\"erimgMain_desc content\" style=\"padding: 0; margin: 0; font-size: 14px; line-height: 19px;\"></p>
						</div>
					</div>
				</div>
				<div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 10px; top: 50%; margin-top: -15px;\" data-erConfig=\"{image:'circleSmall', image2:'circleSmall'}\"></div>
				<div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 10px; top: 50%; margin-top: -15px;\"></div>
			</div>
			<div class=\"erimgMain rotatorTileNav\" style=\"position: absolute; left:0;right:0;bottom:0;height:100px;background-color%3A#222; border-top:1px solid #666;\" data-erConfig=\"{numTiles:".$numTiles.", scrollSize:".$scrollSize.", scaleMode:'scaleUpAndDown', imgType:'thumb', loopNextButton:false, __arrowButtonMode:'rollover', __slideLinkEvent:'rollover'}\">
				<div style=\"position: absolute; left: 0; top: 10px; right: 0; bottom: 0;\"></div>
				<div class=\"erimgMain_slides\" style=\"position: absolute; left:45px; top:0; bottom:0; right:45px;\">
					<div class=\"erimgMain_slide\">
						<div class=\"erimgMain_img\" style=\"position: absolute; left: 5px; right: 5px; top: 10px; bottom: 10px;\"></div>
						<!-- <div class=\"\" style=\"background: #555; position: absolute; left: 1px; right: 1px; top: 10px; bottom: 0; padding: 5px; color: #FFF; font-family: Arial; font-size: 12px; text-align: center;\">
							<p class=\"erimgMain_title\" style=\"padding: 5px; margin: 0 0 3px 0; font-weight: bold;\"></p>
						</div> -->
						<div class=\"selectionArrow visibleWhenSelected\" style=\"position: absolute; top: 0; left: 50%; margin-left: -10px; width: 20px; height: 10px; background-image: url('http://easyrotator.s3.amazonaws.com/1/i/rotator/333_arrow10_8_down_export.png');\"></div>
					</div>
				</div>
				<div class=\"erimgMain_arrowLeft\" style=\"position:absolute; left: 10px; top: 50%; margin-top: -15px;\" data-erConfig=\"{image:'circleSmall', image2:'circleSmall'}\"></div>
				<div class=\"erimgMain_arrowRight\" style=\"position:absolute; right: 10px; top: 50%; margin-top: -15px;\"></div>
	</div>
	";
	break;
}	

// Rotator footer
	$content .="<div class=\"erabout erFixCSS3\" style=\"color: #FFF; text-align: left; background: #000; background:rgba(0,0,0,0.93); border: 2px solid #FFF; padding: 20px; font: normal 11px/14px Verdana,_sans; width: 300px; border-radius: 10px; display:none;\"> 
	            This <a style=\"color:#FFF;\" href=\"http://www.dwuser.com/easyrotator/\" target=\"_blank\">jQuery slider</a> was created with the free <a style=\"color:#FFF;\" href=\"http://www.dwuser.com/easyrotator/\" target=\"_blank\">EasyRotator</a> software from DWUser.com. <br />
					<br />
				  ported to pragmaMx by <a style=\"color:#FFF;\" href=\"http://www.terraproject.de/\" target=\"_blank\">TerraProject</a>. <br />
				  <br />
				  <a style=\"color:#FFF;\" href=\"#\" class=\"erabout_ok\">OK</a> </div>
				<noscript>
				  Rotator powered by <a href=\"http://www.dwuser.com/easyrotator/\">EasyRotator</a>, a free and easy <a href=\"http://www.dwuser.com/easyrotator/\">jQuery slider</a> builder from DWUser.com.  Please enable JavaScript to view.
				</noscript>
				<script type=\"text/javascript\">/*Avoid IE gzip bug*/(function(b,c,d){try{if(!b[d]){b[d]=\"temp\";var a=c.createElement(\"script\");a.type=\"text/javascript\";a.src=\"http://easyrotator.s3.amazonaws.com/1/js/nozip/easy_rotator.min.js\";c.getElementsByTagName(\"head\")[0].appendChild(a)}}catch(e){alert(\"EasyRotator fail; contact support.\")}})(window,document,\"er_$144\");</script>
			  </div>
			</div>
			<!-- End DWUser_EasyRotator -->
";
	// Rotator end

  if ($linkgallery) {
    $content .= "<div class=\"block align-center\" style=\"margin-top:10px;\" ><a href=\"modules.php?name=$modulename\" title=\"$modulename\" target=\"_self\" >$modulename</a></div>";
  }

}	
	
?>